Verify Domain
curl --request POST \
--url https://app.lettr.com/api/domains/{domain}/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.lettr.com/api/domains/{domain}/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.lettr.com/api/domains/{domain}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Domain verification completed.",
"data": {
"domain": "example.com",
"dkim_status": "valid",
"cname_status": "valid",
"dmarc_status": "valid",
"spf_status": "unverified",
"ownership_verified": "true",
"is_primary_domain": false
}
}Domains
Verify Domain
Verify a domain’s DNS records (DKIM and CNAME) with SparkPost. This triggers a verification check and returns the current status of DNS records.
POST
/
domains
/
{domain}
/
verify
Verify Domain
Triggers DNS verification for a sending domain. Lettr checks that the required CNAME and DKIM records are correctly configured. Call this after adding DNS records to your domain.
Authorizations
API key for authentication
Path Parameters
The domain name to verify
Example:
"example.com"
Was this page helpful?